"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const generate_1 = require("../generate");
class Generate extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Generate);
        generate_1.generate(args, flags, this.log, (error) => {
            if (error) {
                throw Error(error);
            }
        });
    }
}
Generate.description = 'generates a basic component of type widget, dashboard or job';
Generate.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
Generate.args = [
    {
        description: 'type of component',
        name: 'component',
        options: ['widget', 'dashboard', 'job'],
        required: true,
    },
    {
        description: 'name of component',
        name: 'name',
        required: true,
    },
];
exports.default = Generate;
