"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const new_project_1 = require("../new-project");
class New extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(New);
        new_project_1.newProject(args, flags, this.log, (error) => {
            if (error) {
                throw Error(error);
            }
        });
    }
}
New.description = 'generates a new dashboard project';
New.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
New.args = [
    {
        description: 'App to deploy',
        name: 'app',
    },
    {
        description: 'Environment to deploy on',
        name: 'env',
    },
];
exports.default = New;
