"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const start_1 = require("../start");
class Start extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Start);
        start_1.start(args, flags, this.log, (error) => {
            if (error) {
                throw Error(error);
            }
        });
    }
}
Start.description = 'starts Status Board\'s server';
Start.flags = {
    dashboard: command_1.flags.string({
        char: 'd',
        description: 'loads only dashboards matching',
    }),
    job: command_1.flags.string({
        char: 'j',
        description: 'runs only jobs matching \'myjob\'',
    }),
    noinstall: command_1.flags.boolean({
        char: 'n',
        description: 'skips npm package install (faster startup)',
    }),
};
Start.args = [
    {
        description: 'runs Status Board in port',
        name: 'port',
    },
];
exports.default = Start;
