"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logic_1 = require("./logic");
const DEFAULT_PACKAGE_FOLDER = 'default';
/**
 * Generates an Status Board component
 *
 * @params args[0] item type: job, dashboard or widget
 * @params args[1] item name
 */
function generate(args, options, logger, callback) {
    if (args.component.length < 1 && args.name.length < 1) {
        callback('Missing arguments. Please use "status-board generate widget <mywidget>"');
        return;
    }
    let packageFolder = DEFAULT_PACKAGE_FOLDER;
    const itemType = args.component;
    let itemName = args.name;
    if (itemName.indexOf('#') > -1) {
        // Package namespacing
        packageFolder = itemName.split('#')[0];
        itemName = itemName.split('#')[1];
    }
    return logic_1.generate(process.cwd(), packageFolder, itemType, itemName, logger, (error) => {
        callback(error);
    });
}
exports.generate = generate;
