"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const utilities_1 = require("../utilities");
/**
 * Filters will be applied to a certain type to decide if that
 * item should be included in the list to be returned.
 * You can match extensions, do sanity checks (valid JSON), etc.
 */
exports.filters = {
    dashboards(dashboardPath) {
        try {
            const contentJSON = JSON.parse(fs.readFileSync(dashboardPath).toString());
            return (contentJSON.enabled !== false);
        }
        catch (e) {
            utilities_1.logger.error(`## ERROR ## ${dashboardPath} has an invalid format or file doesn't exist\n`);
            return false;
        }
    },
};
