"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const async = require("async");
const _ = require("underscore");
const item_manager_1 = require("../item-manager");
function list(packagesPath, logger, callback) {
    const packagePath = Array.isArray(packagesPath) ? packagesPath : [packagesPath];
    async.map(_.unique(packagePath), (pkgPath, cb) => {
        const packageList = { package: pkgPath };
        item_manager_1.getByPackage(pkgPath, 'widgets', '.js', (err, packagesWidgetList) => {
            if (err) {
                return cb(err);
            }
            packageList.widgets = packagesWidgetList;
            item_manager_1.getByPackage(pkgPath, 'jobs', '.js', (error, packagesJobList) => {
                if (error) {
                    return cb(error);
                }
                packageList.jobs = packagesJobList;
                cb(null, (packageList.widgets.length && packageList.jobs.length) ? packageList : null);
            });
        });
    }, (err, results) => {
        callback(err, _.compact(results));
    });
}
exports.list = list;
