"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
/**
 * Search for packages in the current folder
 */
function checkPackagesFolder(packagesPath, cb) {
    fs.readdir(packagesPath, (error, allPackagesDir) => {
        if (error) {
            return cb(error);
        }
        let processAllPackagesDir;
        // convert to absolute path
        processAllPackagesDir = allPackagesDir.map((partialDir) => {
            return path.join(packagesPath, partialDir);
        });
        // make sure we have package.json file
        processAllPackagesDir = processAllPackagesDir.filter((dir) => {
            return fs.statSync(dir).isDirectory() && fs.existsSync(`${dir}/package.json`);
        });
        cb(null, processAllPackagesDir);
    });
}
exports.checkPackagesFolder = checkPackagesFolder;
