"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const semver = require("semver");
const get_valid_package_json_1 = require("./get-valid-package-json");
// in both test and production env will be located here.
const statusBoardPackageJsonPath = path.join(__dirname, '../../');
/**
 * Install from package folder
 */
function checkValidIfStatusBoardVersionForPackage(pathPackage, callback) {
    get_valid_package_json_1.getValidPackageJSON(pathPackage, (err, packageJson) => {
        if (err) {
            return callback(err);
        }
        get_valid_package_json_1.getValidPackageJSON(statusBoardPackageJsonPath, (error, statusBoardPackageJson) => {
            if (error) {
                return callback(`package.json not found for Status Board at ${statusBoardPackageJsonPath}`);
            }
            if (packageJson.engines && packageJson.engines.statusboard) {
                const ok = semver.satisfies(statusBoardPackageJson.version, packageJson.engines.statusboard);
                const msg = `
          Status Board version does not satisfy package dependencies at ${pathPackage}.
          Please consider updating your version of Status Board.
          Version required: ${packageJson.engines.statusboard}
          Status Board version: ${statusBoardPackageJson.version}
        `;
                callback(ok ? null : msg);
            }
            else {
                // not Status Board reference in engines node
                callback(null);
            }
        });
    });
}
exports.checkValidIfStatusBoardVersionForPackage = checkValidIfStatusBoardVersionForPackage;
