"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Executes a command in a childProcess
 */
function executeCommand(cmd, args, callback) {
    const childProcess = require('child_process');
    const child = childProcess.spawn(cmd, args, { stdio: 'inherit' });
    child.on('error', (err) => {
        callback(err);
    });
    child.on('exit', (code) => {
        callback(null, code);
    });
}
exports.executeCommand = executeCommand;
