"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const async = require("async");
const fs = require("fs");
const _ = require("underscore");
const check_packages_folder_1 = require("./check-packages-folder");
const check_valid_if_status_board_version_for_package_1 = require("./check-valid-if-status-board-version-for-package");
const install_1 = require("./install");
function installDependencies(packagesPath, callback) {
    // Process all available package containers
    async.map(packagesPath.filter(fs.existsSync), check_packages_folder_1.checkPackagesFolder, (mapError, results) => {
        if (mapError) {
            return callback(mapError);
        }
        if (results) {
            const paths = _.flatten(results);
            async.eachSeries(paths, check_valid_if_status_board_version_for_package_1.checkValidIfStatusBoardVersionForPackage, (seriesError) => {
                if (seriesError) {
                    return callback(seriesError);
                }
                async.eachSeries(paths, install_1.install, (error) => {
                    callback(error);
                });
            });
        }
    });
}
exports.installDependencies = installDependencies;
