"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const execute_command_1 = require("./execute-command");
/**
 * Install from package folder
 */
function install(pathPackageJson, callback) {
    const currPath = process.cwd(); // save current path
    process.chdir(pathPackageJson);
    const isWindows = /^win/.test(process.platform);
    const npmCommand = isWindows ? 'npm.cmd' : 'npm';
    execute_command_1.executeCommand(npmCommand, ['install', '--production', pathPackageJson], (error, code) => {
        if (error) {
            callback(`Error installing dependencies for ${pathPackageJson}. err:${error}`);
        }
        else {
            callback(code !== 0 ? `error installing ${pathPackageJson}` : null);
        }
    });
    process.chdir(currPath); // restore path
}
exports.install = install;
